<template>
    <div>
    <v-card height="500" width="256" class="mx-auto">
        <v-navigation-drawer permanent>
            <v-list-item>
                <v-list-item-content>
                    <v-list-item-title class="title">
                        Tarefas do Mês
                    </v-list-item-title>
                    <v-list-item-subtitle>
                            Assine
                        <div class="text-center">
                            <v-dialog
                                v-model="dialog"
                                width="400">
                                <template v-slot:activator="{ on, attrs }">
                                    <v-btn
                                        color="blue lighten-2"
                                        dark
                                        v-bind="attrs"
                                        v-on="on"> +
                                    </v-btn>
                                </template>
                        <v-card>
                            <v-card-title class="text-h5 blue lighten-2 text-center">
                                Nova Tarefa
                            </v-card-title>
                            <v-card-text>
                                <v-form>
                                    <v-text-field
                                    v-model="tarefa.tarefa"
                                    label="Tarefas" ></v-text-field>
                                    <v-text-field
                                    v-model="tarefa.descricao"
                                    label="Descrição"
                                    ></v-text-field>
                                    <v-text-field
                                    label="Área"
                                    v-model="tarefa.area"
                                    ></v-text-field>
                                    <v-text-field
                                    type="Date"
                                    v-model="tarefa.data"
                                    > </v-text-field>
                                </v-form>

                            </v-card-text>
                                <v-divider></v-divider>

                            <v-card-actions>
                                <v-btn
                                    color="primary"
                                    text
                                    @click="salvar" >
                                    Salvar
                                </v-btn>
                                <v-btn
                                    color="primary"
                                    text
                                    @click="dialog = false">
                                    Cancelar
                                </v-btn>
                            </v-card-actions>
                        </v-card>
                    </v-dialog>
                </div>
                    </v-list-item-subtitle>

                </v-list-item-content>
            </v-list-item>

            <v-divider/>
            <div class="ml-1">
                        <v-list-item two-line >
                            <v-flex>

                                <v-list-item-content v-for="(task, id) in tarefas" :key="id">
                                    <v-list-item-title >{{task.tarefa}}</v-list-item-title>
                                    <v-list-item-subtitle> {{task.descricao}}</v-list-item-subtitle>
                                    <!--<v-btn
                                    width=""
                                    height="20"
                                    color="primary"
                                    @click="deletarTarefas"> Deletar</v-btn>-->
                                    <v-spacer></v-spacer>
                                </v-list-item-content>
                            </v-flex>
                        </v-list-item>

                        <v-divider></v-divider>
                        <!--<v-list-item two-line >
                            <v-list-item-content >
                                <v-list-item-title > Secondary</v-list-item-title>
                                <v-list-item-subtitle> second item </v-list-item-subtitle>
                            </v-list-item-content>
                        </v-list-item>
                    </div>

                <v-list-item two-line>
                        <v-list-item-content>
                            <v-list-item-title>Two-line item</v-list-item-title>
                            <v-list-item-subtitle>Secondary text</v-list-item-subtitle>
                        </v-list-item-content>
                    </v-list-item>-->
            </div>
        </v-navigation-drawer>
    </v-card>



    </div>

</template>

<script>
    import {mapMutations} from 'vuex'
    import api from '../plugins/axios'

    export default {
        created () {},
        data: () => ({
            checkErros: false,
            checkVendas: true,
            checkLeads: true,
            checkCheckout: true,
            dialog:false,
            task:[],
            tarefas: [],
            tarefa:{
                tarefa:null,
                descricao: null,
                area: null,
                data: null
            }
        }),
        mounted(){
            // this.visualizarTarefas()
        },
        methods: {
            ...mapMutations(['setCheckErros']),
            atualizarCheck () {
                this.setCheckErros(this.checkErros)
            },
            visualizarTarefas(){
                api.get(`/listartarefas`)
                .then(res =>{
                    this.tarefas = res.data
                    console.log(this.tarefas)
                })
            },
            salvar(){
                api.post(`/adicionar`, this.tarefa)
                .then(resp =>{
                    this.tarefas.tarefa=''
                    this.tarefas.descricao=''
                    console.log(resp.data)
                }).catch()
                    this.visualizarTarefas();
        },
            // deletarTarefas(){
            //     //const id = this.tarefas.id
            //     this.$http.delete(`${baseURL}/deletar`)
            //     .then(res =>
            //         //this.result.splice(id,1),
            //         console.log(res)
            //     .catch(err=> console.log(err))
            //     )
            //         this.visualizarTarefas()
            // }
        }
    }
</script>
